## pev 0.31

=== Makefile ===
CC=gcc
SRC=src/pev.c src/parser.c
CFLAGS=-O2 -Wall -ansi

all:
	$(CC) $(CFLAGS) -o pev $(SRC)

install:
	install pev $(DESTDIR)/usr/bin
	gzip -c -9 pev.1 > $(DESTDIR)/usr/share/man/man1/pev.1.gz

clean:
	rm -f pev

uninstall:
	rm -f $(DESTDIR)/usr/bin/pev
	rm -f $(DESTDIR)/usr/share/man/man1/pev.1.gz

=== debian/changelog ===
pev (0.31-2) unstable; urgency=low

  * Fixed description.
  * Compliance with Standards-Version 3.9.2

 -- Fernando Mercês <fernando@mentebinaria.com.br>  Thu, 19 May 2011 11:39:39 -0300

pev (0.31-1) unstable; urgency=low

  * New upstream release.
  * Updated description (Closes: #618693)
  * Display PE headers and sections.

 -- Fernando Mercês <fernando@mentebinaria.com.br>  Thu, 19 May 2011 04:12:56 -0300

pev (0.22-1) unstable; urgency=low

  * Initial release. (Closes: #608460)

 -- Fernando Mercês <fernando@mentebinaria.com.br>  Tue, 28 Dec 2010 22:35:58 -0200

=== debian/control ===
Source: pev
Maintainer: Fernando Mercês <fernando@mentebinaria.com.br>
Homepage: http://pev.sourceforge.net
Section: utils
Priority: extra
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.0)

Package: pev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: text-based tool to analyze PE files
 pev is a tool to get information of PE32 executables
 (EXE, DLL, OCX etc) like  headers, sections and
 Product Version field from resources section.

## pev 0.40

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 CC=gcc
-SRC=src/pev.c src/parser.c
-CFLAGS=-O2 -Wall -ansi
+SRC=src/pev.c src/parser.c src/modules/tls.c
+CFLAGS=-Wall -O2 -ansi
+#DFLAGS=-D __DEBUG_MODE__
 
 all:
-	$(CC) $(CFLAGS) -o pev $(SRC)
+	$(CC) $(CFLAGS) $(DFLAGS) -o pev $(SRC)
 
 install:
 	install pev $(DESTDIR)/usr/bin

=== debian/changelog ===
pev (0.40-1) unstable; urgency=low

  * New upstreamer version.
  * Added PE32+ support, TLS, ASLR and DEP checks.

 -- Fernando Mercês <fernando@mentebinaria.com.br>  Wed, 17 Aug 2011 09:21:20 -0300

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: text-based tool to analyze PE files
- pev is a tool to get information of PE32 executables
- (EXE, DLL, OCX etc) like  headers, sections and
- Product Version field from resources section.
+ pev is a tool to get information of PE32/PE32+
+ executables (EXE, DLL, OCX etc) like  headers,
+ sections, resources and more.

## pev 0.50

=== Makefile ===
LIBPE_DIR=lib/libpe
PEV_DIR=src
MAKE=make
VERSION=0.50
ZIPFILE=pev.zip

# simple call each separated Makefile
all:
%:
	cd $(LIBPE_DIR); $(MAKE) $@
	cd $(PEV_DIR); $(MAKE) $@

# zip rule only Cygwin targets
zip:
	zip -j $(ZIPFILE) lib/libpe/libpe.dll \
	src/*.exe AUTHORS CHANGELOG LICENSE README

=== src/Makefile ===
PREFIX=/usr
DEST=$(PREFIX)/bin
LIBPE=../lib/libpe
LIBUDIS86=../lib/libudis86
CFLAGS=-W -Wall -Wextra -std=c99 -pedantic
CC=gcc
RM=rm -f
COMMON=output.c
PROGS=readpe pedis pepack pescan rva2ofs pesec ofs2rva
INSTALL=install -m 0755

# 'make' only will compile all binaries
all: $(PROGS)

# special rule to include libudis86
pedis: pedis.c
	$(CC) $(CFLAGS) -I$(LIBPE) -L$(LIBPE) -I$(LIBUDIS86) $(LIBUDIS86)/libudis86/*.c $^ $(COMMON) -o $@ -lpe

# generic rule matching binary names and sources
%: %.c
	$(CC) $(CFLAGS) -I$(LIBPE) -L$(LIBPE) $^ $(COMMON) -o $@ -lpe

install:
	test -d $(DEST) || mkdir -p $(DEST)
	for prog in $(PROGS); do \
		$(INSTALL) $$prog $(DEST); \
	done

uninstall:
	for prog in $(PROGS); do \
		$(RM) $(DEST)/$$prog; \
	done

clean:
	$(RM) $(PROGS)

=== lib/libpe/Makefile ===
PREFIX=/usr
DEST=$(PREFIX)/lib
VERSION=1.0
CFLAGS=-W -Wall -Wextra -pedantic -std=c99
SRC=pe.c
RM=rm -f
CC=gcc
LN=ln -sf
STRIP=strip --strip-unneeded
LIBNAME=libpe
INSTALL=install -m 0644

all: pe.c pe.h
	$(CC) -o $(LIBNAME).o -c $(CFLAGS) -fPIC $(SRC)
	$(CC) -shared -Wl,-soname,$(LIBNAME).so.1 -o $(LIBNAME).so $(LIBNAME).o

install:
	$(STRIP) $(LIBNAME).so
	test -d $(DEST) || mkdir -p $(DEST)
	$(INSTALL) $(LIBNAME).so $(DEST)/$(LIBNAME).so.$(VERSION)
	$(LN) $(DEST)/$(LIBNAME).so.$(VERSION) $(DEST)/$(LIBNAME).so
	$(LN) $(DEST)/$(LIBNAME).so.$(VERSION) $(DEST)/$(LIBNAME).so.1

uninstall:
	$(RM) $(DEST)/$(LIBNAME).so*

clean:
	$(RM) $(LIBNAME).*o*

=== lib/libudis86/libudis86/Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# libudis86/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





pkgdatadir = $(datadir)/udis86
pkglibdir = $(libdir)/udis86
pkgincludedir = $(includedir)/udis86
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = libudis86
DIST_COMMON = $(libudis86_la_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(libudis86_ladir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
libudis86_la_LIBADD =
am_libudis86_la_OBJECTS = itab.lo input.lo decode.lo syn.lo \
	syn-intel.lo syn-att.lo udis86.lo
libudis86_la_OBJECTS = $(am_libudis86_la_OBJECTS)
libudis86_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libudis86_la_LDFLAGS) $(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/build/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libudis86_la_SOURCES)
DIST_SOURCES = $(libudis86_la_SOURCES)
libudis86_laHEADERS_INSTALL = $(INSTALL_HEADER)
HEADERS = $(libudis86_la_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/pev/src/lib/udis86-1.7/build/missing --run aclocal-1.10
AMTAR = ${SHELL} /tmp/pev/src/lib/udis86-1.7/build/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /tmp/pev/src/lib/udis86-1.7/build/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/pev/src/lib/udis86-1.7/build/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/pev/src/lib/udis86-1.7/build/missing --run automake-1.10
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /tmp/pev/src/lib/udis86-1.7/build/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJDUMP = objdump
OBJEXT = o
PACKAGE = udis86
PACKAGE_BUGREPORT = vivek@sig9.com
PACKAGE_NAME = udis86
PACKAGE_STRING = udis86 1.7
PACKAGE_TARNAME = udis86
PACKAGE_VERSION = 1.7
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 1.7
abs_builddir = /tmp/pev/src/lib/udis86-1.7/libudis86
abs_srcdir = /tmp/pev/src/lib/udis86-1.7/libudis86
abs_top_builddir = /tmp/pev/src/lib/udis86-1.7
abs_top_srcdir = /tmp/pev/src/lib/udis86-1.7
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /tmp/pev/src/lib/udis86-1.7/build/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir = ..
top_srcdir = ..
lib_LTLIBRARIES = libudis86.la
include_ladir = ${includedir}
libudis86_ladir = ${includedir}/libudis86
libudis86_la_SOURCES = itab.c \
			input.c \
			decode.c \
			syn.c \
			syn-intel.c \
			syn-att.c \
			udis86.c \
			input.h \
			syn.h \
			decode.h \
			extern.h \
			types.h \
			itab.h \
			opgen.py

libudis86_la_HEADERS = types.h extern.h itab.h

# DLLs may not contain undefined symbol references.  We have the linker
# check this explicitly.
#libudis86_la_LDFLAGS = -no-undefined -version-info 0:0:0
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  libudis86/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  libudis86/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f=$(am__strip_dir) \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  p=$(am__strip_dir) \
	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libudis86.la: $(libudis86_la_OBJECTS) $(libudis86_la_DEPENDENCIES) 
	$(libudis86_la_LINK) -rpath $(libdir) $(libudis86_la_OBJECTS) $(libudis86_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/decode.Plo
include ./$(DEPDIR)/input.Plo
include ./$(DEPDIR)/itab.Plo
include ./$(DEPDIR)/syn-att.Plo
include ./$(DEPDIR)/syn-intel.Plo
include ./$(DEPDIR)/syn.Plo
include ./$(DEPDIR)/udis86.Plo

.c.o:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-libudis86_laHEADERS: $(libudis86_la_HEADERS)
	@$(NORMAL_INSTALL)
	test -z "$(libudis86_ladir)" || $(MKDIR_P) "$(DESTDIR)$(libudis86_ladir)"
	@list='$(libudis86_la_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(libudis86_laHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(libudis86_ladir)/$$f'"; \
	  $(libudis86_laHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(libudis86_ladir)/$$f"; \
	done

uninstall-libudis86_laHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(libudis86_la_HEADERS)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(libudis86_ladir)/$$f'"; \
	  rm -f "$(DESTDIR)$(libudis86_ladir)/$$f"; \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \

=== debian/changelog ===
pev (0.50-1) unstable; urgency=medium

  * QA upload.
  * Imported Debian packaging to collab-maint git.
  * Change maintainer to Debian QA Group  as package is orphaned (bug #836368).
  * Changed Standards-Version from 3.9.2 to 3.9.8.
  * Changed debhelper compat level from 7 to 9.
  * Updated to upstream version 0.50.
    - Adjust build rules for version 0.50.  Added install-target.patch.
    - Not updating to version 0.60 and newer because this is a GPL
      program linking to OpenSSL without the OpenSSL exception.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 02 Sep 2016 11:33:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: pev
-Maintainer: Fernando Mercês <fernando@mentebinaria.com.br>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Homepage: http://pev.sourceforge.net
 Section: utils
 Priority: extra
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.0)
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9)
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pev.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/pev.git
 
 Package: pev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr

## pev 0.80

=== Makefile ===
LIBPE_DIR = lib/libpe
PEV_DIR = src
VERSION = 0.80
ZIPDIR = pev-$(VERSION)-win32
ZIPFILE = $(ZIPDIR).zip

all:
%:
	cd $(LIBPE_DIR) && $(MAKE) $@
	cd $(PEV_DIR) && $(MAKE) $@

# Cygwin only
zip:
	cd $(PEV_DIR)/windows && $(MAKE)
	mkdir -p $(ZIPDIR)/plugins
	cp src/build/plugins/*.dll $(ZIPDIR)/plugins/
	echo -ne "plugins_dir=plugins\r\n" > $(ZIPDIR)/pev.conf
	cp $(PEV_DIR)/userdb.txt $(ZIPDIR)
	cp lib/libpe/libpe.dll $(ZIPDIR)/
	cp /usr/bin/cygwin1.dll $(ZIPDIR)/
	cp /usr/bin/cygcrypto-1.0.0.dll $(ZIPDIR)/
	cp /usr/bin/cygz.dll $(ZIPDIR)/
	cp README.md $(ZIPDIR)/
	cp $(PEV_DIR)/build/*.exe $(ZIPDIR)/
	cp $(PEV_DIR)/windows/run.bat $(ZIPDIR)/
	zip -r $(ZIPFILE) $(ZIPDIR)/*
	rm -rf $(ZIPDIR)

=== src/Makefile ===
####### Platform specifics

# cut is necessary for Cygwin
export PLATFORM_OS := $(shell uname | cut -d_ -f1)

####### Makefile Conventions - Directory variables

srcdir = .
prefix = /usr/local

exec_prefix = $(prefix)
sysconfdir = $(prefix)/etc
includedir = $(prefix)/include
datarootdir = $(prefix)/share
localstatedir = $(prefix)/var

bindir = $(exec_prefix)/bin
libdir = $(exec_prefix)/lib
libexecdir = $(exec_prefix)/libexec
sbindir = $(exec_prefix)/sbin

datadir = $(datarootdir)
docdir = $(datarootdir)/doc/pev
infodir = $(datarootdir)/info
localedir = $(datarootdir)/locale

mandir = $(datarootdir)/man
manext = .1
man1dir = $(mandir)/man1
man1ext = .1

export pluginsdir = $(DESTDIR)$(libdir)/pev/plugins

####### Makefile Conventions - Utilities

export CC ?= gcc
export LINK = $(CC)
export CHK_DIR_EXISTS = test -d
export CHK_FILE_EXISTS = test -f
export INSTALL = install
export INSTALL_DATA = ${INSTALL} -m 644
export INSTALL_PROGRAM = ${INSTALL}
export SYMLINK = ln -sf
export MKDIR = mkdir -p
export RM = rm -f
export RM_DIR = rm -rf
ifeq ($(PLATFORM_OS), Darwin)
	export STRIP = strip -x
else
	export STRIP = strip --strip-unneeded
endif

####### Compiler options

override LDFLAGS += -L$(LIBPE) -lpe -ldl
override CFLAGS += -I$(LIBPE) -I"../include" -W -Wall -Wextra -std=c99 -pedantic
override CPPFLAGS += -D_GNU_SOURCE -DSHAREDIR="\"$(SHAREDIR)"\"

ifeq ($(PLATFORM_OS), Darwin)
	# We disable warnings for deprecated declarations since Apple deprecated OpenSSL in Mac OS X 10.7
	override CFLAGS += -Wno-deprecated-declarations
endif

ifeq ($(PLATFORM_OS), CYGWIN)
	override CPPFLAGS += -D_XOPEN_SOURCE=600
endif

SRC_DIRS = $(srcdir) $(srcdir)/compat $(srcdir)/../lib/libfuzzy

PROGS = readpe rva2ofs ofs2rva pehash pesec pescan pepack pestr pedis peres
PLUGINS_DIR = $(srcdir)/plugins
SHAREDIR = $(datadir)/pev
export LIBPE = $(realpath $(srcdir)/../lib/libpe)
LIBUDIS86 = $(srcdir)/../lib/libudis86
LIBFUZZY = $(srcdir)/../lib/libfuzzy
MANDIR = $(srcdir)/../doc/manpages

export pev_BUILDDIR = ./build
pev_SRCS_FILTER = $(wildcard ${dir}/*.c)
pev_SRCS = $(foreach dir, ${SRC_DIRS}, ${pev_SRCS_FILTER})
pev_OBJS = $(addprefix ${pev_BUILDDIR}/, $(addsuffix .o, $(basename ${pev_SRCS})))

pev_COMMON_DEPS = \
	$(pev_BUILDDIR)/compat/strlcat.o \
	$(pev_BUILDDIR)/config.o \
	$(pev_BUILDDIR)/dylib.o \
	$(pev_BUILDDIR)/malloc_s.o \
	$(pev_BUILDDIR)/utils.o \
	$(pev_BUILDDIR)/plugins.o \
	$(pev_BUILDDIR)/output_plugin.o \
	$(pev_BUILDDIR)/output.o \
	$(pev_BUILDDIR)/pev_api.o

####### Build rules

.PHONY: plugins install installdirs uninstall clean

all: $(PROGS) plugins

plugins:
	cd $(PLUGINS_DIR) && $(MAKE) $@

ofs2rva: $(pev_BUILDDIR)/ofs2rva.o $(pev_OBJS)
	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS)

pedis: CPPFLAGS += -DHAVE_STRING_H
pedis: CFLAGS += -I$(LIBUDIS86)
pedis: $(pev_BUILDDIR)/pedis.o $(pev_OBJS)
	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) $(LIBUDIS86)/libudis86/*.c

pehash: LDFLAGS += -lssl -lcrypto
pehash: CFLAGS += -I$(LIBFUZZY)
pehash: $(pev_BUILDDIR)/pehash.o $(pev_OBJS)
	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) $(LIBFUZZY)/*.c

pepack: $(pev_BUILDDIR)/pepack.o $(pev_OBJS)
	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS)

peres: $(pev_BUILDDIR)/peres.o $(pev_OBJS)
	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS)

pescan: LDFLAGS += -lm
pescan: $(pev_BUILDDIR)/pescan.o $(pev_OBJS)
	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS)

pesec: LDFLAGS += -lcrypto
pesec: $(pev_BUILDDIR)/pesec.o $(pev_OBJS)
	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS)

pestr: $(pev_BUILDDIR)/pestr.o $(pev_OBJS)
	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS)

readpe: $(pev_BUILDDIR)/readpe.o $(pev_OBJS)
	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS)

rva2ofs: $(pev_BUILDDIR)/rva2ofs.o $(pev_OBJS)
	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS)

# Generic rule matching sources

$(pev_BUILDDIR)/%.o: %.c
	@$(CHK_DIR_EXISTS) $(dir $@) || $(MKDIR) $(dir $@)
	$(CC) -c -o $@ $< $(CFLAGS) $(CPPFLAGS) $(INCPATH)

install: installdirs
	for prog in $(PROGS); do \
		$(INSTALL_PROGRAM) $(pev_BUILDDIR)/$$prog $(DESTDIR)$(bindir); \
		$(CHK_FILE_EXISTS) $(MANDIR)/$$prog$(man1ext) && \
			gzip -c -9 $(MANDIR)/$$prog$(man1ext) > $(DESTDIR)$(man1dir)/$$prog$(man1ext).gz || \
			echo -n; \
	done

	$(INSTALL_DATA) $(srcdir)/userdb.txt $(DESTDIR)$(SHAREDIR)
	cd $(PLUGINS_DIR) && $(MAKE) $@

installdirs:
	@$(CHK_DIR_EXISTS) $(DESTDIR) || $(MKDIR) $(DESTDIR)
	@$(CHK_DIR_EXISTS) $(DESTDIR)$(bindir) || $(MKDIR) $(DESTDIR)$(bindir)
	@$(CHK_DIR_EXISTS) $(DESTDIR)$(man1dir) || $(MKDIR) $(DESTDIR)$(man1dir)
	@$(CHK_DIR_EXISTS) $(DESTDIR)$(SHAREDIR) || $(MKDIR) $(DESTDIR)$(SHAREDIR)

uninstall:
	for prog in $(PROGS); do \
		$(RM) $(DESTDIR)$(bindir)/$$prog; \
		$(RM) $(DESTDIR)$(man1dir)/$$prog$(man1ext).gz; \
	done
	$(RM_DIR) $(DESTDIR)$(SHAREDIR)
	cd $(PLUGINS_DIR) && $(MAKE) $@

clean:
	$(RM_DIR) $(pev_BUILDDIR)
	$(RM) $(PROGS)
	cd $(PLUGINS_DIR) && $(MAKE) $@

=== lib/libpe/Makefile ===
####### Platform specifics

# cut is necessary for Cygwin
PLATFORM_OS := $(shell uname | cut -d_ -f1)

####### Makefile Conventions - Directory variables

srcdir = .
prefix = /usr/local

exec_prefix = $(prefix)
sysconfdir = $(prefix)/etc
includedir = $(prefix)/include
datarootdir = $(prefix)/share
localstatedir = $(prefix)/var

bindir = $(exec_prefix)/bin
libdir = $(exec_prefix)/lib
libexecdir = $(exec_prefix)/libexec
sbindir = $(exec_prefix)/sbin

datadir = $(datarootdir)
docdir = $(datarootdir)/doc/pev
infodir = $(datarootdir)/info
localedir = $(datarootdir)/locale

mandir = $(datarootdir)/man
manext = .1
man1dir = $(mandir)/man1
man1ext = .1

####### Makefile Conventions - Utilities

CC ?= gcc
LINK = $(CC)
CHK_DIR_EXISTS = test -d
CHK_FILE_EXISTS = test -f
INSTALL = install
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = $(INSTALL)
SYMLINK = ln -sf
MKDIR = mkdir -p
RM = rm -f
RM_DIR = rm -rf
ifeq ($(PLATFORM_OS), Darwin)
	STRIP = strip -x
else
	STRIP = strip --strip-unneeded
endif

####### Compiler options

override CFLAGS += -W -Wall -Wextra -pedantic -std=c99 -c
ifneq ($(PLATFORM_OS), CYGWIN)
	override CFLAGS += -fPIC
endif

VERSION = 1.0
LIBNAME = libpe

libpe_BUILDDIR = $(CURDIR)/build
libpe_SRCS_FILTER = $(wildcard ${dir}/*.c)
libpe_SRCS = $(foreach dir, ${srcdir}, ${libpe_SRCS_FILTER})
libpe_OBJS = $(addprefix ${libpe_BUILDDIR}/, $(addsuffix .o, $(basename ${libpe_SRCS})))

####### Build rules

.PHONY : libpe install strip-binaries install-strip uninstall clean

all: libpe

libpe: CPPFLAGS += -D_GNU_SOURCE
ifeq ($(PLATFORM_OS), CYGWIN)
libpe: CPPFLAGS += -D_XOPEN_SOURCE=500
endif
libpe: $(libpe_OBJS)
ifeq ($(PLATFORM_OS), Linux)
	$(LINK) -shared -Wl,-soname,$(LIBNAME).so.1 $(LDFLAGS) -o $(LIBNAME).so $^
else ifeq ($(PLATFORM_OS), NetBSD)
	$(LINK) -shared -Wl,-soname,$(LIBNAME).so.1 $(LDFLAGS) -o $(LIBNAME).so $^
else ifeq ($(PLATFORM_OS), Darwin)
	$(LINK) -headerpad_max_install_names -dynamiclib \
		-flat_namespace -install_name $(LIBNAME).$(VERSION).dylib \
		-current_version $(VERSION) -compatibility_version $(VERSION) \
		$(LDFLAGS) -o $(LIBNAME).dylib $^
else ifeq ($(PLATFORM_OS), CYGWIN)
	$(LINK) -shared $(LDFLAGS) -o $(LIBNAME).dll $^
endif

$(libpe_BUILDDIR)/%.o: %.c
	@$(CHK_DIR_EXISTS) $(dir $@) || $(MKDIR) $(dir $@)
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

install: installdirs
ifeq ($(PLATFORM_OS), Linux)
	$(INSTALL_DATA) $(LIBNAME).so $(DESTDIR)$(libdir)/$(LIBNAME).so.$(VERSION)
	cd $(DESTDIR)$(libdir); $(SYMLINK) $(LIBNAME).so.$(VERSION) $(LIBNAME).so
	cd $(DESTDIR)$(libdir); $(SYMLINK) $(LIBNAME).so.$(VERSION) $(LIBNAME).so.1
else ifeq ($(PLATFORM_OS), NetBSD)
	$(INSTALL_DATA) $(LIBNAME).so $(DESTDIR)$(libdir)/$(LIBNAME).so.$(VERSION)
	cd $(DESTDIR)$(libdir); $(SYMLINK) $(LIBNAME).so.$(VERSION) $(LIBNAME).so
	cd $(DESTDIR)$(libdir); $(SYMLINK) $(LIBNAME).so.$(VERSION) $(LIBNAME).so.1
else ifeq ($(PLATFORM_OS), Darwin)
	$(INSTALL_DATA) $(LIBNAME).dylib $(DESTDIR)$(libdir)/$(LIBNAME).$(VERSION).dylib
	cd $(DESTDIR)$(libdir); $(SYMLINK) $(LIBNAME).$(VERSION).dylib $(LIBNAME).dylib
	cd $(DESTDIR)$(libdir); $(SYMLINK) $(LIBNAME).$(VERSION).dylib $(LIBNAME).1.dylib
else ifeq ($(PLATFORM_OS), CYGWIN)
	# TODO
endif

installdirs:
	@$(CHK_DIR_EXISTS) $(DESTDIR) || $(MKDIR) $(DESTDIR)
	@$(CHK_DIR_EXISTS) $(DESTDIR)$(libdir) || $(MKDIR) $(DESTDIR)$(libdir)

strip-binaries:
ifeq ($(PLATFORM_OS), Linux)
	$(STRIP) $(LIBNAME).so
else ifeq ($(PLATFORM_OS), NetBSD)
	$(STRIP) $(LIBNAME).so
else ifeq ($(PLATFORM_OS), Darwin)
	$(STRIP) $(LIBNAME).dylib
else ifeq ($(PLATFORM_OS), CYGWIN)
	$(STRIP) $(LIBNAME).dll
endif

install-strip: strip-binaries install

uninstall:
	$(RM) $(DESTDIR)$(libdir)/$(LIBNAME).so* \
		$(DESTDIR)$(libdir)/$(LIBNAME)*.dylib

clean:
	$(RM_DIR) $(libpe_BUILDDIR)
	$(RM) $(LIBNAME)*.o \
		$(LIBNAME)*.so \
		$(LIBNAME)*.dylib \
		$(LIBNAME)*.dll

=== src/plugins/Makefile ===
####### Compiler options

override CFLAGS += -I$(LIBPE) -I"../../include" -W -Wall -Wextra -std=c99 -pedantic -fPIC
override CPPFLAGS += -D_GNU_SOURCE

PLUGINS = csv html text xml json
VERSION = 1.0

plugins_BUILDDIR = ../$(pev_BUILDDIR)/plugins

csv_srcdir = $(CURDIR)
csv_SRCS = csv.c
csv_OBJS = $(addprefix ${plugins_BUILDDIR}/, $(addsuffix .o, $(basename ${csv_SRCS})))
csv_LIBNAME = csv_plugin

html_srcdir = $(CURDIR)
html_SRCS = html.c
html_OBJS = $(addprefix ${plugins_BUILDDIR}/, $(addsuffix .o, $(basename ${html_SRCS})))
html_LIBNAME = html_plugin

text_srcdir = $(CURDIR)
text_SRCS = text.c
text_OBJS = $(addprefix ${plugins_BUILDDIR}/, $(addsuffix .o, $(basename ${text_SRCS})))
text_LIBNAME = text_plugin

xml_srcdir = $(CURDIR)
xml_SRCS = xml.c
xml_OBJS = $(addprefix ${plugins_BUILDDIR}/, $(addsuffix .o, $(basename ${xml_SRCS})))
xml_LIBNAME = xml_plugin

json_srcdir = $(CURDIR)
json_SRCS = json.c
json_OBJS = $(addprefix ${plugins_BUILDDIR}/, $(addsuffix .o, $(basename ${json_SRCS})))
json_LIBNAME = json_plugin

####### Build rules

.PHONY: plugins

plugins: $(PLUGINS)

csv: LIBNAME = $(csv_LIBNAME)
csv: $(csv_OBJS)

html: LIBNAME = $(html_LIBNAME)
html: $(html_OBJS)

text: LIBNAME = $(text_LIBNAME)
text: $(text_OBJS)

xml: LIBNAME = $(xml_LIBNAME)
xml: $(xml_OBJS)

json: LIBNAME = $(json_LIBNAME)
json: $(json_OBJS)

$(PLUGINS):
ifeq ($(PLATFORM_OS), Linux)
	$(LINK) -shared -Wl,-soname,$(LIBNAME).so.1 $(LDFLAGS) -o ${plugins_BUILDDIR}/$(LIBNAME).so $^
else ifeq ($(PLATFORM_OS), Darwin)
	$(LINK) -headerpad_max_install_names -dynamiclib \
		-undefined dynamic_lookup -fno-common \
		-flat_namespace -install_name $(LIBNAME).$(VERSION).dylib \
		-current_version $(VERSION) -compatibility_version $(VERSION) \
		$(LDFLAGS) -o ${plugins_BUILDDIR}/$(LIBNAME).dylib $^
else ifeq ($(PLATFORM_OS), CYGWIN)
	$(LINK) -shared $(LDFLAGS) -o ${plugins_BUILDDIR}/$(LIBNAME).dll $^
endif

$(plugins_BUILDDIR)/%.o: %.c
	@$(CHK_DIR_EXISTS) $(dir $@) || $(MKDIR) $(dir $@)
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $^

clean:
	$(RM_DIR) ${plugins_BUILDDIR}

###

install: installdirs
	$(INSTALL_PROGRAM) -m 755 $(plugins_BUILDDIR)/$(csv_LIBNAME).* $(pluginsdir)
	$(INSTALL_PROGRAM) -m 755 $(plugins_BUILDDIR)/$(html_LIBNAME).* $(pluginsdir)
	$(INSTALL_PROGRAM) -m 755 $(plugins_BUILDDIR)/$(text_LIBNAME).* $(pluginsdir)
	$(INSTALL_PROGRAM) -m 755 $(plugins_BUILDDIR)/$(xml_LIBNAME).* $(pluginsdir)
	$(INSTALL_PROGRAM) -m 755 $(plugins_BUILDDIR)/$(json_LIBNAME).* $(pluginsdir)

installdirs:
	@$(CHK_DIR_EXISTS) $(pluginsdir) || $(MKDIR) $(pluginsdir)

uninstall:
	$(RM_DIR) $(pluginsdir)

=== debian/changelog ===
pev (0.80-4) unstable; urgency=medium

  * QA upload.
  * Migrate to openssl 1.1. (Closes: #870779)
  * Priority optional.
  * R³.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 18 Dec 2017 16:02:05 +0100

pev (0.80-3) unstable; urgency=medium

  * QA upload.
  * Fix segfault due to modification of const value. (Closes: #868554)
  * Extend autopkgtest check to run pehash too.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 16 Jul 2017 20:50:18 +0200

pev (0.80-2) unstable; urgency=medium

  * QA upload.
  * Reorder build dependency for ssl, list libssl1.0-dev first to make
    life easier for the autobuilders.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Jul 2017 17:31:35 +0000

pev (0.80-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 0.80 (Closes: #772837).
    - Dropped install-target.patch now applied upstream.
    - Adjusted build rules for new upstream version.
    - Added libssl1.0-dev as build dependency.
    - Added 01-plugins-path.patch to adjust plugin path.
  * Added simple autopkgtest check.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Jul 2017 14:27:47 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Homepage: http://pev.sourceforge.net
 Section: utils
-Priority: extra
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9)
+Priority: optional
+Standards-Version: 4.1.2
+Build-Depends: debhelper (>= 9), libssl-dev
+Rules-Requires-Root: no
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pev.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/pev.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_clean:
	dh_auto_clean
	$(RM) src/lib/libfuzzy/edit_dist.o src/lib/libfuzzy/fuzzy.o
override_dh_auto_make:
	$(MAKE) prefix=/usr
override_dh_auto_install:
	$(MAKE) prefix=/usr DESTDIR=$(CURDIR)/debian/pev install

=== debian/tests/control ===
Depends: @, gzip-win32, valgrind
Tests: test-runs

=== debian/watch ===
version=3
http://sf.net/pev/pev-(.+)\.tar\.gz

## pev 0.81

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 LIBPE_DIR = lib/libpe
 PEV_DIR = src
-VERSION = 0.80
-ZIPDIR = pev-$(VERSION)-win32
+VERSION = 0.81
+ZIPDIR = pev-$(VERSION)-win
 ZIPFILE = $(ZIPDIR).zip
 
 all:
@@ -18,7 +18,7 @@
 	cp $(PEV_DIR)/userdb.txt $(ZIPDIR)
 	cp lib/libpe/libpe.dll $(ZIPDIR)/
 	cp /usr/bin/cygwin1.dll $(ZIPDIR)/
-	cp /usr/bin/cygcrypto-1.0.0.dll $(ZIPDIR)/
+	cp /usr/bin/cygcrypto-1*.dll $(ZIPDIR)/
 	cp /usr/bin/cygz.dll $(ZIPDIR)/
 	cp README.md $(ZIPDIR)/
 	cp $(PEV_DIR)/build/*.exe $(ZIPDIR)/

=== src/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 man1dir = $(mandir)/man1
 man1ext = .1
 
-export pluginsdir = $(DESTDIR)$(libdir)/pev/plugins
+export pluginsdir = $(libdir)/pev/plugins
 
 ####### Makefile Conventions - Utilities
 
@@ -52,9 +52,16 @@
 
 ####### Compiler options
 
-override LDFLAGS += -L$(LIBPE) -lpe -ldl
-override CFLAGS += -I$(LIBPE) -I"../include" -W -Wall -Wextra -std=c99 -pedantic
-override CPPFLAGS += -D_GNU_SOURCE -DSHAREDIR="\"$(SHAREDIR)"\"
+override LDFLAGS += -L$(LIBPE) -lpe -lcrypto -lssl -ldl -lm
+override CFLAGS += -I$(LIBPE)/include -I"../include" -W -Wall -Wextra -std=c99 -pedantic
+# Some gcc/clang builds (depends on the distro) already define _FORTIFY_SOURCE internally, so we
+# undefine it first to avoid redefinition warnings.
+override CPPFLAGS += \
+	-D_GNU_SOURCE \
+	-U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=1 \
+	-DSHAREDIR="\"$(SHAREDIR)"\" \
+	-DPLUGINSDIR="\"$(pluginsdir)"\"
+
 
 ifeq ($(PLATFORM_OS), Darwin)
 	# We disable warnings for deprecated declarations since Apple deprecated OpenSSL in Mac OS X 10.7
@@ -65,14 +72,13 @@
 	override CPPFLAGS += -D_XOPEN_SOURCE=600
 endif
 
-SRC_DIRS = $(srcdir) $(srcdir)/compat $(srcdir)/../lib/libfuzzy
+SRC_DIRS = $(srcdir) $(srcdir)/compat
 
-PROGS = readpe rva2ofs ofs2rva pehash pesec pescan pepack pestr pedis peres
+PROGS = readpe rva2ofs ofs2rva pehash pesec pescan pepack pestr pedis peres peldd
 PLUGINS_DIR = $(srcdir)/plugins
 SHAREDIR = $(datadir)/pev
 export LIBPE = $(realpath $(srcdir)/../lib/libpe)
 LIBUDIS86 = $(srcdir)/../lib/libudis86
-LIBFUZZY = $(srcdir)/../lib/libfuzzy
 MANDIR = $(srcdir)/../doc/manpages
 
 export pev_BUILDDIR = ./build
@@ -85,7 +91,6 @@
 	$(pev_BUILDDIR)/config.o \
 	$(pev_BUILDDIR)/dylib.o \
 	$(pev_BUILDDIR)/malloc_s.o \
-	$(pev_BUILDDIR)/utils.o \
 	$(pev_BUILDDIR)/plugins.o \
 	$(pev_BUILDDIR)/output_plugin.o \
 	$(pev_BUILDDIR)/output.o \
@@ -108,10 +113,8 @@
 pedis: $(pev_BUILDDIR)/pedis.o $(pev_OBJS)
 	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) $(LIBUDIS86)/libudis86/*.c
 
-pehash: LDFLAGS += -lssl -lcrypto
-pehash: CFLAGS += -I$(LIBFUZZY)
 pehash: $(pev_BUILDDIR)/pehash.o $(pev_OBJS)
-	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS) $(LIBFUZZY)/*.c
+	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS)
 
 pepack: $(pev_BUILDDIR)/pepack.o $(pev_OBJS)
 	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS)
@@ -135,6 +138,9 @@
 
 rva2ofs: $(pev_BUILDDIR)/rva2ofs.o $(pev_OBJS)
 	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS)
+	
+peldd: $(pev_BUILDDIR)/peldd.o $(pev_OBJS)
+	$(CC) $< -o $(pev_BUILDDIR)/$@ $(pev_COMMON_DEPS) $(LDFLAGS) $(CFLAGS) $(CPPFLAGS)
 
 # Generic rule matching sources
 
@@ -144,7 +150,7 @@
 
 install: installdirs
 	for prog in $(PROGS); do \
-		$(INSTALL_PROGRAM) $(pev_BUILDDIR)/$$prog $(DESTDIR)$(bindir); \
+		$(INSTALL_PROGRAM) $(INSTALL_FLAGS) $(pev_BUILDDIR)/$$prog $(DESTDIR)$(bindir); \
 		$(CHK_FILE_EXISTS) $(MANDIR)/$$prog$(man1ext) && \
 			gzip -c -9 $(MANDIR)/$$prog$(man1ext) > $(DESTDIR)$(man1dir)/$$prog$(man1ext).gz || \
 			echo -n; \
@@ -152,6 +158,9 @@
 
 	$(INSTALL_DATA) $(srcdir)/userdb.txt $(DESTDIR)$(SHAREDIR)
 	cd $(PLUGINS_DIR) && $(MAKE) $@
+
+install-strip: INSTALL_FLAGS += -s
+install-strip: install
 
 installdirs:
 	@$(CHK_DIR_EXISTS) $(DESTDIR) || $(MKDIR) $(DESTDIR)

=== lib/libpe/Makefile ===
####### Platform specifics

# cut is necessary for Cygwin
PLATFORM_OS := $(shell uname | cut -d_ -f1)

####### Makefile Conventions - Directory variables

srcdir = .
prefix = /usr/local
exec_prefix = $(prefix)
sysconfdir = $(prefix)/etc
includedir = $(prefix)/include
datarootdir = $(prefix)/share
localstatedir = $(prefix)/var
bindir = $(exec_prefix)/bin
libdir = $(exec_prefix)/lib
libexecdir = $(exec_prefix)/libexec
sbindir = $(exec_prefix)/sbin
datadir = $(datarootdir)
docdir = $(datarootdir)/doc/pev
infodir = $(datarootdir)/info
localedir = $(datarootdir)/locale

mandir = $(datarootdir)/man
manext = .1
man1dir = $(mandir)/man1
man1ext = .1

####### Makefile Conventions - Utilities

CC ?= gcc
LINK = $(CC)
CHK_DIR_EXISTS = test -d
CHK_FILE_EXISTS = test -f
INSTALL = install
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = $(INSTALL)
SYMLINK = ln -sf
MKDIR = mkdir -p
RM = rm -f
RM_DIR = rm -rf

ifeq ($(PLATFORM_OS), Darwin)
	STRIP = strip -x
else
	STRIP = strip --strip-unneeded
endif

####### Compiler options

override CFLAGS += \
	-I"." \
	-I"./include" \
	-W -Wall -Wextra -pedantic -std=c99 -c
override CPPFLAGS += -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2
override LDFLAGS += -lssl -lcrypto

ifneq ($(PLATFORM_OS), CYGWIN)
	override CFLAGS += -fPIC
endif

VERSION = 1.0
LIBNAME = libpe

SRC_DIRS = $(srcdir) $(srcdir)/libfuzzy $(srcdir)/libudis86

libpe_BUILDDIR = $(CURDIR)/build
libpe_SRCS_FILTER = $(wildcard ${dir}/*.c)
libpe_SRCS = $(foreach dir, ${SRC_DIRS}, ${libpe_SRCS_FILTER})
libpe_OBJS = $(addprefix ${libpe_BUILDDIR}/, $(addsuffix .o, $(basename ${libpe_SRCS})))

####### Build rules

.PHONY : libpe install strip-binaries install-strip uninstall clean

all: libpe

libpe: CPPFLAGS += -D_GNU_SOURCE
ifeq ($(PLATFORM_OS), CYGWIN)
libpe: CPPFLAGS += -D_XOPEN_SOURCE=600
endif
libpe: $(libpe_OBJS)
ifeq ($(PLATFORM_OS), Linux)
	$(LINK) -shared -Wl,-soname,$(LIBNAME).so.1 $(LDFLAGS) -o $(LIBNAME).so $^
else ifeq ($(PLATFORM_OS), NetBSD)
	$(LINK) -shared -Wl,-soname,$(LIBNAME).so.1 $(LDFLAGS) -o $(LIBNAME).so $^
else ifeq ($(PLATFORM_OS), FreeBSD)
	$(LINK) -shared -Wl,-soname,$(LIBNAME).so.1 $(LDFLAGS) -o $(LIBNAME).so $^
else ifeq ($(PLATFORM_OS), OpenBSD)
	$(LINK) -shared -Wl,-soname,$(LIBNAME).so.1 $(LDFLAGS) -o $(LIBNAME).so $^
else ifeq ($(PLATFORM_OS), Darwin)
	$(LINK) -headerpad_max_install_names -dynamiclib \
		-flat_namespace -install_name $(LIBNAME).$(VERSION).dylib \
		-current_version $(VERSION) -compatibility_version $(VERSION) \
		$(LDFLAGS) -o $(LIBNAME).dylib $^
else ifeq ($(PLATFORM_OS), CYGWIN)
	$(LINK) -shared -o $(LIBNAME).dll $^ $(LDFLAGS)
endif

$(libpe_BUILDDIR)/%.o: %.c
	@$(CHK_DIR_EXISTS) $(dir $@) || $(MKDIR) $(dir $@)
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

install: installdirs
ifeq ($(PLATFORM_OS), Linux)
	$(INSTALL_DATA) $(INSTALL_FLAGS) $(LIBNAME).so $(DESTDIR)$(libdir)/$(LIBNAME).so.$(VERSION)
	cd $(DESTDIR)$(libdir); $(SYMLINK) $(LIBNAME).so.$(VERSION) $(LIBNAME).so
	cd $(DESTDIR)$(libdir); $(SYMLINK) $(LIBNAME).so.$(VERSION) $(LIBNAME).so.1
else ifeq ($(PLATFORM_OS), NetBSD)
	$(INSTALL_DATA) $(INSTALL_FLAGS) $(LIBNAME).so $(DESTDIR)$(libdir)/$(LIBNAME).so.$(VERSION)
	cd $(DESTDIR)$(libdir); $(SYMLINK) $(LIBNAME).so.$(VERSION) $(LIBNAME).so
	cd $(DESTDIR)$(libdir); $(SYMLINK) $(LIBNAME).so.$(VERSION) $(LIBNAME).so.1
else ifeq ($(PLATFORM_OS), FreeBSD)
	$(INSTALL_DATA) $(INSTALL_FLAGS) $(LIBNAME).so $(DESTDIR)$(libdir)/$(LIBNAME).so.$(VERSION)
	cd $(DESTDIR)$(libdir); $(SYMLINK) $(LIBNAME).so.$(VERSION) $(LIBNAME).so
	cd $(DESTDIR)$(libdir); $(SYMLINK) $(LIBNAME).so.$(VERSION) $(LIBNAME).so.1
else ifeq ($(PLATFORM_OS), OpenBSD)
	$(INSTALL_DATA) $(INSTALL_FLAGS) $(LIBNAME).so $(DESTDIR)$(libdir)/$(LIBNAME).so.$(VERSION)
	cd $(DESTDIR)$(libdir); $(SYMLINK) $(LIBNAME).so.$(VERSION) $(LIBNAME).so
	cd $(DESTDIR)$(libdir); $(SYMLINK) $(LIBNAME).so.$(VERSION) $(LIBNAME).so.1
else ifeq ($(PLATFORM_OS), Darwin)
	$(INSTALL_DATA) $(INSTALL_FLAGS) $(LIBNAME).dylib $(DESTDIR)$(libdir)/$(LIBNAME).$(VERSION).dylib
	cd $(DESTDIR)$(libdir); $(SYMLINK) $(LIBNAME).$(VERSION).dylib $(LIBNAME).dylib
	cd $(DESTDIR)$(libdir); $(SYMLINK) $(LIBNAME).$(VERSION).dylib $(LIBNAME).1.dylib
else ifeq ($(PLATFORM_OS), CYGWIN)
	# TODO
endif

installdirs:
	@$(CHK_DIR_EXISTS) $(DESTDIR) || $(MKDIR) $(DESTDIR)
	@$(CHK_DIR_EXISTS) $(DESTDIR)$(libdir) || $(MKDIR) $(DESTDIR)$(libdir)

install-strip: INSTALL_FLAGS += -s
install-strip: install

uninstall:
	$(RM) $(DESTDIR)$(libdir)/$(LIBNAME).so* \
		$(DESTDIR)$(libdir)/$(LIBNAME)*.dylib

clean:
	$(RM_DIR) $(libpe_BUILDDIR)
	$(RM) $(LIBNAME)*.o \
		$(LIBNAME)*.so \
		$(LIBNAME)*.dylib \
		$(LIBNAME)*.dll

=== src/plugins/Makefile ===
--- 
+++ 
@@ -57,6 +57,12 @@
 $(PLUGINS):
 ifeq ($(PLATFORM_OS), Linux)
 	$(LINK) -shared -Wl,-soname,$(LIBNAME).so.1 $(LDFLAGS) -o ${plugins_BUILDDIR}/$(LIBNAME).so $^
+else ifeq ($(PLATFORM_OS), NetBSD)
+	$(LINK) -shared -Wl,-soname,$(LIBNAME).so.1 $(LDFLAGS) -o ${plugins_BUILDDIR}/$(LIBNAME).so $^
+else ifeq ($(PLATFORM_OS), FreeBSD)
+	$(LINK) -shared -Wl,-soname,$(LIBNAME).so.1 $(LDFLAGS) -o ${plugins_BUILDDIR}/$(LIBNAME).so $^
+else ifeq ($(PLATFORM_OS), OpenBSD)
+	$(LINK) -shared -Wl,-soname,$(LIBNAME).so.1 $(LDFLAGS) -o ${plugins_BUILDDIR}/$(LIBNAME).so $^
 else ifeq ($(PLATFORM_OS), Darwin)
 	$(LINK) -headerpad_max_install_names -dynamiclib \
 		-undefined dynamic_lookup -fno-common \
@@ -77,14 +83,17 @@
 ###
 
 install: installdirs
-	$(INSTALL_PROGRAM) -m 755 $(plugins_BUILDDIR)/$(csv_LIBNAME).* $(pluginsdir)
-	$(INSTALL_PROGRAM) -m 755 $(plugins_BUILDDIR)/$(html_LIBNAME).* $(pluginsdir)
-	$(INSTALL_PROGRAM) -m 755 $(plugins_BUILDDIR)/$(text_LIBNAME).* $(pluginsdir)
-	$(INSTALL_PROGRAM) -m 755 $(plugins_BUILDDIR)/$(xml_LIBNAME).* $(pluginsdir)
-	$(INSTALL_PROGRAM) -m 755 $(plugins_BUILDDIR)/$(json_LIBNAME).* $(pluginsdir)
+	$(INSTALL_PROGRAM) $(INSTALL_FLAGS) -m 755 $(plugins_BUILDDIR)/$(csv_LIBNAME).* $(DESTDIR)$(pluginsdir)
+	$(INSTALL_PROGRAM) $(INSTALL_FLAGS) -m 755 $(plugins_BUILDDIR)/$(html_LIBNAME).* $(DESTDIR)$(pluginsdir)
+	$(INSTALL_PROGRAM) $(INSTALL_FLAGS) -m 755 $(plugins_BUILDDIR)/$(text_LIBNAME).* $(DESTDIR)$(pluginsdir)
+	$(INSTALL_PROGRAM) $(INSTALL_FLAGS) -m 755 $(plugins_BUILDDIR)/$(xml_LIBNAME).* $(DESTDIR)$(pluginsdir)
+	$(INSTALL_PROGRAM) $(INSTALL_FLAGS) -m 755 $(plugins_BUILDDIR)/$(json_LIBNAME).* $(DESTDIR)$(pluginsdir)
+
+install-strip: INSTALL_FLAGS += -s
+install-strip: install
 
 installdirs:
-	@$(CHK_DIR_EXISTS) $(pluginsdir) || $(MKDIR) $(pluginsdir)
+	@$(CHK_DIR_EXISTS) $(DESTDIR)$(pluginsdir) || $(MKDIR) $(DESTDIR)$(pluginsdir)
 
 uninstall:
-	$(RM_DIR) $(pluginsdir)
+	$(RM_DIR) $(DESTDIR)$(pluginsdir)

=== src/windows/Makefile ===
CFLAGS = -W -Wall -Wextra -std=c99 -pedantic
pev_BUILDDIR = ../build/


all:
	cc $(CFLAGS) -o $(pev_BUILDDIR)/cpload.exe cpload.c
clean:
	rm -f cpload.exe

=== doc/manual/en_us/Makefile ===
# Debian-like: apt-get install docbook docbook-xsl xsltproc fop
# MacPorts: port install docbook-xsl libxslt fop

PLATFORM_OS := $(shell uname | cut -d_ -f1)

NAME=pev-manual
ifeq ($(PLATFORM_OS), Darwin)
	XSL=/opt/local/share/xsl/docbook-xsl/html/chunk.xsl
	FOXSL=/opt/local/share/xsl/docbook-xsl/fo/docbook.xsl
else
	XSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/chunk.xsl
	FOXSL=/usr/share/xml/docbook/stylesheet/nwalsh/fo/docbook.xsl
endif
SRC=manual.docbook
HTML_DIR=html
PDF_DIR=pdf
VERSION=0.80

html:
	mkdir -p $(HTML_DIR)/figures
	cp figures/*.png $(HTML_DIR)/figures/
	xsltproc -o $(HTML_DIR)/ $(XSL) $(SRC)

pdf:
	mkdir -p $(PDF_DIR)
	xsltproc -o $(NAME).fo $(FOXSL) $(SRC)
	fop $(NAME).fo -pdf $(PDF_DIR)/$(NAME)-$(VERSION).pdf

clean:
	rm -rf *.html *.pdf *.fo *~ $(HTML_DIR) $(PDF_DIR)

=== doc/tutorial/pt_BR/Makefile ===
# apt-get install docbook docbook-xsl xsltproc fop

NAME=pev-tutorial
XSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/chunk.xsl
FOXSL=/usr/share/xml/docbook/stylesheet/nwalsh/fo/docbook.xsl
SRC=tutorial.docbook
HTML_DIR=html
PDF_DIR=pdf
VERSION=1.0

html:
	mkdir -p $(HTML_DIR)
	xsltproc -o $(HTML_DIR)/ $(XSL) $(SRC)

pdf:
	mkdir -p $(PDF_DIR)
	xsltproc -o $(NAME).fo $(FOXSL) $(SRC)
	fop $(NAME).fo -pdf $(PDF_DIR)/$(NAME)-$(VERSION).pdf

clean:
	rm -rf *.html *.pdf *.fo *~ $(HTML_DIR) $(PDF_DIR)

=== debian/changelog ===
pev (0.81-3+deb11u1) bullseye; urgency=medium

  * debian/patches/0002-fix-bo-pe_exports.patch: created to fix a buffer
    overflow vulnerability present on libpe's pe_exports function from exports.c
    (CVE-2021-45423). Without this patch, a maliciously-crafted PE file opened
    by pev utilities can trigger arbitrary code execution. (Closes: #1034725)

 -- David da Silva Polverari <david.polverari@gmail.com>  Sat, 22 Apr 2023 20:48:00 +0000

pev (0.81-3) unstable; urgency=medium

  * QA upload.
  * Avoid off-by-one error in libpe pe_utils_str_widechar2ascii()
    (Closes: #987959)
  * Extended autopkgtest to report if the Windows EXE file is missing.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 05 May 2021 14:09:18 +0200

pev (0.81-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 20 Jan 2021 10:27:52 +0100

pev (0.81-1) experimental; urgency=medium

  * QA upload.

  * New upstream version 0.81.
    - Dropped 10-bogus-const.patch, 11-pehash-openssl-1.1.patch,
      11-pesec-openssl-1.1.patch and 12-text-typos.patch as the issues
      are fixed upstream.
    - Dropped 01-plugins-path.patch and moved setting to d/rules, as
      the upstream code provide global define for it now.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 19 Jan 2021 09:39:20 +0100

pev (0.80-7) unstable; urgency=medium

  * Removed trailing blank line from d/rules.  Thanks Lintian.
  * Updated from debhelper 9 to 12.
  * Updated Standards-Version from 4.1.2 to 4.5.1.
  * Added new 12-text-typos.patch fixing some typos.
  * Allow stderr output from valgrind in autopkgtest run.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Jan 2021 19:02:24 +0100

pev (0.80-6) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 17 Jan 2021 11:33:05 +0100

pev (0.80-5) unstable; urgency=low

  * QA upload.
  * Fix the autopkgtest. (Closes: #960880)

 -- Adrian Bunk <bunk@debian.org>  Tue, 30 Jun 2020 11:09:02 +0300

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Homepage: http://pev.sourceforge.net
 Section: utils
 Priority: optional
-Standards-Version: 4.1.2
-Build-Depends: debhelper (>= 9), libssl-dev
+Standards-Version: 4.5.1
+Build-Depends: debhelper (>= 12), libssl-dev
 Rules-Requires-Root: no
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pev.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/pev.git
+Vcs-Browser: https://salsa.debian.org/debian/pev
+Vcs-Git: https://salsa.debian.org/debian/pev.git
 
 Package: pev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_clean:
	dh_auto_clean
	$(RM) src/lib/libfuzzy/edit_dist.o src/lib/libfuzzy/fuzzy.o
override_dh_auto_build:
	$(MAKE) prefix=/usr pluginsdir=/usr/lib/pev/plugins
override_dh_auto_install:
	$(MAKE) prefix=/usr pluginsdir=/usr/lib/pev/plugins \
	    DESTDIR=$(CURDIR)/debian/pev install

=== debian/tests/control ===
Depends: @, gzip-win32, valgrind
Tests: test-runs
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://sf.net/pev/pev-(.+)\.tar\.gz
